package otherSupport;

import binaryMatrixFile.AsciiMatrixFile;

/** Simple util for profiling code.
 *  Takes a set of marks marking the start of different operations by calls to mark()
 *  Start of the next batch are marked by calling nextSet(); 
 *  dump() then displays the difference between each mark averaged over all the sets.
 *  
 */ 
public class EmptyProfiler {

	
	/**
	 * @param setMax Max number of mark sets.
	 * @param timeMax Max number of marks.
	 */
	public EmptyProfiler() { }
	
	/** Delete all data and start again */
	public void reset(){}
	
	/** Create a mark */
	public void mark(String markDescription){	}
	
	/** terminate the set after doing this many blank marks */
	public void nextSet(int skipMarks){}
	
	/** Start the next set of marks */
	public void nextSet(){}
	
	/** Display the info */
	public void dump(){}
	
	public String toSI(double val){ return ""; }
	
	public void toDisk(String fileName){}
	
	public int getSetsUsed(){ return 0; }

}
